Skip to content

Delete a tax rate

Finance module

DELETE/tax-rates/{id}taxRates.delete

A tax rate with its effective dates. Soft-deletes the tax rate: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability org.legal_entities.write.
  • OAuth scopes: org.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

taxRates.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the tax rate.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/tax-rates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.taxRates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.tax_rates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos tax-rates delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f